Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security
Class ProviderImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl
            |
            +--weblogic.management.security.ProviderImpl

Direct Known Subclasses:
  AdjudicatorImpl, AuditorImpl, AuthenticationProviderImpl, AuthorizerImpl, CredentialMapperImpl, KeyStoreImpl, RoleMapperImpl

public class ProviderImpl
extends BaseMBeanImpl

The base class of all security provider mbean implementations. It gives the provider's mbean implementation access to its configuration attributes.

Every security provider must implement an mbean. This is done by writing an xml file describing their mbean (eg. `Foo.xml`) and by writing an mbean implementation class (eg. `FooImpl.java`).

Their xml file must extend the base mbean appropriate for their kind of provider (eg. `weblogic.management.security.authorization.Authorizor.xml`). Their implementation file must extend the corresponding base mbean implementation class (eg. `weblogic.management.security.authorization.AuthorizerImpl.java`)

Their xml file may contain configuration attributes and management methods that their mbean supports. Their Impl.java file must implement any methods defined in their xml file (directly or by inheritance). Since commo generates the attribute implementations, the provider's Impl.java file should not contain attribute implementations.

If a provider supports any management methods, the provider's implementation must be prepared to be called at any time. throw a suitable exception) at any time. The provider cannot rely on the rest of the realm, or even this provider's attributes, being completely configured before management methods are called. It is also a provider's responsibility to set appropriate default attribute values.

It is acceptable for the provider's management method implementations to throw exceptions if the provider's attributes need to be configured before management methods are invoked.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Constructor Summary
`ProviderImpl(javax.management.modelmbean.RequiredModelMBean base)` Class constructor specifying the corresponding required model mbean.

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getCommoUtils, getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderImpl

    public ProviderImpl(javax.management.modelmbean.RequiredModelMBean base)
                 throws javax.management.MBeanException

  Class constructor specifying the corresponding required model mbean.

  Parameters:
    `base` - required model mbean for this mbean implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference